---
title: llarp::simulate::Simulation

---

# llarp::simulate::Simulation





Inherits from std::enable_shared_from_this< Simulation >

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[Simulation](Classes/structllarp_1_1simulate_1_1Simulation.md#function-simulation)**() |
| void | **[NodeUp](Classes/structllarp_1_1simulate_1_1Simulation.md#function-nodeup)**(llarp::Context * node) |
| Node_ptr | **[AddNode](Classes/structllarp_1_1simulate_1_1Simulation.md#function-addnode)**(const std::string & name) |
| void | **[DelNode](Classes/structllarp_1_1simulate_1_1Simulation.md#function-delnode)**(const std::string & name) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [llarp::CryptoManager](Classes/structllarp_1_1CryptoManager.md) | **[m_CryptoManager](Classes/structllarp_1_1simulate_1_1Simulation.md#variable-m-cryptomanager)**  |
| EventLoop_ptr | **[m_NetLoop](Classes/structllarp_1_1simulate_1_1Simulation.md#variable-m-netloop)**  |
| std::unordered_map< std::string, Node_ptr > | **[m_Nodes](Classes/structllarp_1_1simulate_1_1Simulation.md#variable-m-nodes)**  |

## Public Functions Documentation

### function Simulation

```cpp
Simulation()
```


### function NodeUp

```cpp
void NodeUp(
    llarp::Context * node
)
```


### function AddNode

```cpp
Node_ptr AddNode(
    const std::string & name
)
```


### function DelNode

```cpp
void DelNode(
    const std::string & name
)
```


## Public Attributes Documentation

### variable m_CryptoManager

```cpp
llarp::CryptoManager m_CryptoManager;
```


### variable m_NetLoop

```cpp
EventLoop_ptr m_NetLoop;
```


### variable m_Nodes

```cpp
std::unordered_map< std::string, Node_ptr > m_Nodes;
```


-------------------------------

Updated on 2023-01-27 at 23:09:26 +0000